{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-remote-node-webhooks
  namespace: dapr-system
spec:
  endpointSelector:
    matchLabels: {}
  ingress:
  - fromEntities:
    - kube-apiserver
    - remote-node
  - toPorts:
    - ports:
      - port: "4000"
        protocol: TCP
{{- end }}
